#!/bin/bash
echo "Beginning postgreSQL bootstrap"

isStarting() {
	psql -U $POSTGRES_USER -l > /dev/null 2>&1
	if [ $? -ne 0 ]; then
		return 0
	else
		return 1
	fi
}

#Display an error and exit
errorExit() {
	echo; echo "ERROR: $1" 2>&1 ; echo
    exit 1
}

createUsers() {
	echo "Waiting for Postgres to start"
	while isStarting
	do
			sleep 5
			echo -n '.'
	done
	echo; echo "Postgres is now up. Checking if it already has data"
	psql -d $POSTGRES_DB -U $POSTGRES_USER -c 'select count(*) from qrtz_locks;' -A -t > /dev/null 2>&1
	outcome=$?
	if [ $outcome -eq 1 ]; then
		echo "beginning postgres data seeding"
		psql -d $POSTGRES_DB -U $POSTGRES_USER -a -f $POSTGRES_HOME/quartz_postgres.sql > /dev/null 2>&1
	elif [ $outcome -ne 0 ]; then
		errorExit "Could not create postgres tables"
	else
		echo "Bootstrap tables already exist"
	fi
	echo "postgres system up"
}
createUsers
